/* Insecure Land Rights and Share Tenancy	*/
/* Evidence from Madagascar			*/
/*							*/
/* Land Economics					*/
/*							*/
/* Marc F. Bellemare				*/
/* Assistant Professor				*/
/* Duke University				*/
/* marc.bellemare@duke.edu			*/

clear
drop _all
set mem 256m
set matsize 5000
set more on

version 9.2


use "C:\BellemareSharecroppingLandEconomics.dta"

drop land_value land_title

* Table 8				*

reg L_expprice L_area family tanety L_disthous L_distroad lowland L_soiltype4 L_soiltype5 L_slope2 L_slope3 L_slope4 L_soilchar2 L_soilchar3 L_soilchar4 L_irrig L_irsource2 L_irsource3 L_irsource4 L_irsource5 L_toposeq2 L_toposeq3 L_toposeq4 L_toposeq5 L_toposeq6 c2 c3 c4 c5 c6 soilqual_1 soilqual_2 soilqual_4 soilqual_5 [pweight=weight]

predict yhat

rename yhat land_value

reg L_title L_area family L_disthous L_distroad tanety lowland L_soiltype4 L_soiltype5 L_slope2 L_slope3 L_slope4 L_soilchar2 L_soilchar3 L_soilchar4 L_irrig L_irsource2 L_irsource3 L_irsource4 L_irsource5 L_toposeq2 L_toposeq3 L_toposeq4 L_toposeq5 L_toposeq6 c2 c3 c4 c5 c6 soilqual_1 soilqual_2 soilqual_4 soilqual_5 [pweight=weight]

predict yhat

rename yhat land_title





log using "C:\BellemareSharecroppingLandEconomics", replace



/* Tables 6	and 7		*/


set seed 123456789

capture program drop mydprobit1
program mydprobit1
	version 9
reg a_star L_area land_value land_title tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_liq_cons A_hhsize A_depr A_age A_educ A_awc A_income_pc A_liq_cons s_a c2 c3 c4 c5 c6 if sample==1 [pweight=weight], robust
end

bootstrap, reps(500): mydprobit1

test P_awc A_awc
test P_income_pc A_income_pc



set seed 123456789

capture program drop mydprobit1
program mydprobit1
	version 9
reg a_star L_area land_value land_title tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_liq_cons P_yrstent kin kin_intro friend reas_wealth reas_honest reas_risk reas_favor P_timelook P_othera A_hhsize A_depr A_age A_educ A_awc A_income_pc A_liq_cons s_a c2 c3 c4 c5 c6 if sample==1 [pweight=weight], robust
end

bootstrap, reps(500): mydprobit1

test P_awc A_awc
test P_income_pc A_income_pc




set seed 123456789

capture program drop mydprobit1
program mydprobit1
	version 9
reg a_star L_area land_value land_title tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_liq_cons A_hhsize A_depr A_age A_educ A_awc A_income_pc A_liq_cons s_a c2 c3 c4 c5 c6 if P_awc < A_awc & sample==1 [pweight=weight], robust
end

bootstrap, reps(500): mydprobit1

test P_awc A_awc
test P_income_pc A_income_pc



set seed 123456789

capture program drop mydprobit1
program mydprobit1
	version 9
reg a_star L_area land_value land_title tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_liq_cons P_yrstent kin kin_intro friend reas_wealth reas_honest reas_risk reas_favor P_timelook P_othera A_hhsize A_depr A_age A_educ A_awc A_income_pc A_liq_cons s_a c2 c3 c4 c5 c6 if P_awc < A_awc & sample==1 [pweight=weight], robust 
end

bootstrap, reps(500): mydprobit1

test P_awc A_awc
test P_income_pc A_income_pc


* Table 2			*

mean a_star L_area land_value land_title rice tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_liq_cons A_hhsize A_depr A_age A_educ A_awc A_income_pc A_liq_cons kin kin_intro oth_intro reas_kin friend reas_wealth reas_honest reas_risk reas_favor P_timelook P_othera P_yrstent s_a c1 c2 c3 c4 c5 c6 if sample==1 [pweight=weight]


* Table 3			*

mean L_area land_value land_title rice tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_liq_cons A_hhsize A_depr A_age A_educ A_awc A_income_pc A_liq_cons kin kin_intro oth_intro reas_kin friend reas_wealth reas_honest reas_risk reas_favor P_timelook P_othera P_yrstent s_a c1 c2 c3 c4 c5 c6 if sample==1 & a_star==0 [pweight=weight]

mean L_area land_value land_title rice tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_liq_cons A_hhsize A_depr A_age A_educ A_awc A_income_pc A_liq_cons kin kin_intro oth_intro reas_kin friend reas_wealth reas_honest reas_risk reas_favor P_timelook P_othera P_yrstent s_a c1 c2 c3 c4 c5 c6 if sample==1 & a_star==1 [pweight=weight]

ttest L_area if sample==1, by(a_star)
ttest land_value if sample==1, by(a_star)
ttest land_title if sample==1, by(a_star)
ttest tanety if sample==1, by(a_star)
ttest lowland if sample==1, by(a_star)
ttest L_irrig if sample==1, by(a_star)
ttest L_disthous if sample==1, by(a_star)

ttest P_hhsize if sample==1, by(a_star)
ttest P_depr if sample==1, by(a_star)
ttest P_age if sample==1, by(a_star)
ttest P_female if sample==1, by(a_star)
ttest P_educ if sample==1, by(a_star)
ttest P_awc if sample==1, by(a_star)
ttest P_income_pc if sample==1, by(a_star)
ttest P_liq_cons if sample==1, by(a_star)

ttest A_hhsize if sample==1, by(a_star)
ttest A_depr if sample==1, by(a_star)
ttest A_age if sample==1, by(a_star)
ttest A_educ if sample==1, by(a_star)
ttest A_awc if sample==1, by(a_star)
ttest A_income_pc if sample==1, by(a_star)
ttest A_liq_cons if sample==1, by(a_star)

ttest kin if sample==1, by(a_star)
ttest kin_intro if sample==1, by(a_star)
ttest friend if sample==1, by(a_star)
ttest reas_wealth if sample==1, by(a_star)
ttest reas_honest if sample==1, by(a_star)
ttest reas_risk if sample==1, by(a_star)
ttest reas_favor if sample==1, by(a_star)
ttest P_timelook if sample==1, by(a_star)
ttest P_othera if sample==1, by(a_star)
ttest P_yrstent if sample==1, by(a_star)

ttest s_a if sample==1, by(a_star)
ttest c1 if sample==1, by(a_star)
ttest c2 if sample==1, by(a_star)
ttest c3 if sample==1, by(a_star)
ttest c4 if sample==1, by(a_star)
ttest c5 if sample==1, by(a_star)
ttest c6 if sample==1, by(a_star)

gen rst = 1 if P_awc <= A_awc
replace rst = 0 if P_awc > A_awc


* Table 4				*

mean L_area land_value land_title rice tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_liq_cons A_hhsize A_depr A_age A_educ A_awc A_income_pc A_liq_cons kin kin_intro oth_intro reas_kin friend reas_wealth reas_honest reas_risk reas_favor P_timelook P_othera P_yrstent s_a c1 c2 c3 c4 c5 c6 if sample==1 & rst==0 [pweight=weight]

mean L_area land_value land_title rice tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_liq_cons A_hhsize A_depr A_age A_educ A_awc A_income_pc A_liq_cons kin kin_intro oth_intro reas_kin friend reas_wealth reas_honest reas_risk reas_favor P_timelook P_othera P_yrstent s_a c1 c2 c3 c4 c5 c6 if sample==1 & rst==1 [pweight=weight]

ttest L_area if sample==1, by(rst)
ttest land_value if sample==1, by(rst)
ttest land_title if sample==1, by(rst)
ttest tanety if sample==1, by(rst)
ttest lowland if sample==1, by(rst)
ttest L_irrig if sample==1, by(rst)
ttest L_disthous if sample==1, by(rst)

ttest P_hhsize if sample==1, by(rst)
ttest P_depr if sample==1, by(rst)
ttest P_age if sample==1, by(rst)
ttest P_female if sample==1, by(rst)
ttest P_educ if sample==1, by(rst)
ttest P_awc if sample==1, by(rst)
ttest P_income_pc if sample==1, by(rst)
ttest P_liq_cons if sample==1, by(rst)

ttest A_hhsize if sample==1, by(rst)
ttest A_depr if sample==1, by(rst)
ttest A_age if sample==1, by(rst)
ttest A_educ if sample==1, by(rst)
ttest A_awc if sample==1, by(rst)
ttest A_income_pc if sample==1, by(rst)
ttest A_liq_cons if sample==1, by(rst)

ttest kin if sample==1, by(rst)
ttest kin_intro if sample==1, by(rst)
ttest friend if sample==1, by(rst)
ttest reas_wealth if sample==1, by(rst)
ttest reas_honest if sample==1, by(rst)
ttest reas_risk if sample==1, by(rst)
ttest reas_favor if sample==1, by(rst)
ttest P_timelook if sample==1, by(rst)
ttest P_othera if sample==1, by(rst)
ttest P_yrstent if sample==1, by(rst)

ttest s_a if sample==1, by(rst)
ttest c1 if sample==1, by(rst)
ttest c2 if sample==1, by(rst)
ttest c3 if sample==1, by(rst)
ttest c4 if sample==1, by(rst)
ttest c5 if sample==1, by(rst)
ttest c6 if sample==1, by(rst)


* Table 5			*

gen s_of_a = (20 - P_asrk20t)/20

gen actual_ar = P_asrk20t/20
gen hyp_ar = hyp_asrk/20
gen actual_s = 1 - actual_ar
gen hyp_s = 1 - hyp_ar

mean actual_s hyp_s if sample==1 [pweight=weight]
mean s_of_a if sample==1 & a_star==0 [pweight=weight]
mean s_of_a if sample==1 & a_star==1 [pweight=weight]

gen r_actual = P_asrk20t/20
gen s_actual = 1 - r_actual
gen r_hyp = hyp_asrk/20
gen s_hyp = 1 - r_hyp

gen r_sc = r_actual if a_star==0
replace r_sc = r_hyp if a_star==1
gen s_sc = 1 - r_sc

gen r_fr = r_actual if a_star==1
replace r_fr = r_hyp if a_star==0
gen s_fr = 1 - r_fr

drop r_*

mean s_actual s_hyp s_sc s_fr if sample==1 [pweight=weight]

mean s_actual s_hyp s_sc s_fr if rst==1 [pweight=weight]

reg s_actual L_area land_value land_title tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_liq_cons P_yrstent kin_intro oth_intro friend  reas_wealth reas_honest reas_risk reas_favor P_timelook P_othera A_hhsize A_depr A_age A_educ A_awc A_income_pc A_liq_cons c2 c3 c4 c5 c6 if sample==1 [pweight=weight]

reg s_hyp L_area land_value land_title tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_liq_cons P_yrstent kin_intro oth_intro friend  reas_wealth reas_honest reas_risk reas_favor P_timelook P_othera A_hhsize A_depr A_age A_educ A_awc A_income_pc A_liq_cons c2 c3 c4 c5 c6 if sample==1 [pweight=weight]

reg s_sc L_area land_value land_title tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_liq_cons P_yrstent kin_intro oth_intro friend  reas_wealth reas_honest reas_risk reas_favor P_timelook P_othera A_hhsize A_depr A_age A_educ A_awc A_income_pc A_liq_cons c2 c3 c4 c5 c6 if sample==1 [pweight=weight]

reg s_fr L_area land_value land_title tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_liq_cons P_yrstent kin_intro oth_intro friend  reas_wealth reas_honest reas_risk reas_favor P_timelook P_othera A_hhsize A_depr A_age A_educ A_awc A_income_pc A_liq_cons c2 c3 c4 c5 c6 if sample==1 [pweight=weight]

reg s_a L_area land_value land_title tanety lowland L_irrig L_disthous P_hhsize P_depr P_age P_female P_educ P_awc P_income_pc P_liq_cons P_yrstent kin_intro oth_intro friend  reas_wealth reas_honest reas_risk reas_favor P_timelook P_othera A_hhsize A_depr A_age A_educ A_awc A_income_pc A_liq_cons c2 c3 c4 c5 c6 if sample==1 [pweight=weight]

log close

save "C:\BellemareSharecroppingLandEconomicsPostEstimation.dta", replace

view "C:\BellemareSharecroppingLandEconomics.smcl"




